Package wx :: Class Cursor

[frames | no frames]

## Type Cursor

    object --+
             |
        Object --+
                 |
         GDIObject --+
                     |
                    Cursor

A cursor is a small bitmap usually used for denoting where the mouse pointer is, with a picture that might indicate the interpretation of a mouse click.

A single cursor object may be used in many windows (any subwindow type). The wxWindows convention is to set the cursor for a window, as in X, rather than to set it globally as in MS Windows, although a global `wx.SetCursor` function is also available for use on MS Windows.

# Stock Cursor IDs

> wx.CURSOR_ARROW | A standard arrow cursor.
> wx.CURSOR_RIGHT_ARROW | A standard arrow cursor pointing to the right.
> wx.CURSOR_BLANK | Transparent cursor.
> wx.CURSOR_BULLSEYE | Bullseye cursor.
> wx.CURSOR_CHAR | Rectangular character cursor.
> wx.CURSOR_CROSS | A cross cursor.
> wx.CURSOR_HAND | A hand cursor.
> wx.CURSOR_IBEAM | An I-beam cursor (vertical line).
> wx.CURSOR_LEFT_BUTTON | Represents a mouse with the left button depressed.
> wx.CURSOR_MAGNIFIER | A magnifier icon.
> wx.CURSOR_MIDDLE_BUTTON | Represents a mouse with the middle button depressed.
> wx.CURSOR_NO_ENTRY | A no-entry sign cursor.
> wx.CURSOR_PAINT_BRUSH | A paintbrush cursor.
> wx.CURSOR_PENCIL | A pencil cursor.
> wx.CURSOR_POINT_LEFT | A cursor that points left.
> wx.CURSOR_POINT_RIGHT | A cursor that points right.
> wx.CURSOR_QUESTION_ARROW | An arrow and question mark.
> wx.CURSOR_RIGHT_BUTTON | Represents a mouse with the right button depressed.
> wx.CURSOR_SIZENESW | A sizing cursor pointing NE-SW.
> wx.CURSOR_SIZENS | A sizing cursor pointing N-S.
> wx.CURSOR_SIZENWSE | A sizing cursor pointing NW-SE.
> wx.CURSOR_SIZEWE | A sizing cursor pointing W-E.
> wx.CURSOR_SIZING | A general sizing cursor.
> wx.CURSOR_SPRAYCAN | A spraycan cursor.
> wx.CURSOR_WAIT | A wait cursor.
> wx.CURSOR_WATCH | A watch cursor.
> wx.CURSOR_ARROWWAIT | A cursor with both an arrow and an hourglass, (windows.)

Method Summary
Cursor | ``__init__`(self, cursorName, type, hotSpotX, hotSpotY)` Construct a Cursor from a file.
| `__del__(self)`
| `__nonzero__(self)`
bool | `IsOk(self)`
bool | `Ok(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, cursorName, type, hotSpotX=0, hotSpotY=0)
(Constructor)

Construct a Cursor from a file. Specify the type of file using wx.BITAMP_TYPE* constants, and specify the hotspot if not using a .cur file. :see: Alternate constructors `wx.StockCursor`,`wx.CursorFromImage`

  Parameters:
    `cursorName`
    (type=String)

    `type`
    (type=long)

    `hotSpotX`
    (type=int)

    `hotSpotY`
    (type=int)

  Returns:
    Cursor
  Overrides:
    `wx.GDIObject.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:25 2007 | http://epydoc.sf.net